- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_signed_encrypted_parts_builder

## Functions
AXIS2_EXTERN neethi_assertion_t * | rp_signed_encrypted_parts_builder_build (const axutil_env_t *env, axiom_node_t *node, axiom_element_t *element, axis2_bool_t is_signed)

## Function Documentation

AXIS2_EXTERN neethi_assertion_t* rp_signed_encrypted_parts_builder_build | ( | const axutil_env_t * | env,
|  | axiom_node_t * | node,
|  | axiom_element_t * | element,
|  | axis2_bool_t | is_signed |
| ) |  |  |

Builts EncryptedParts or SignedParts assertion

Parameters:

  | env | Pointer to environment struct
  | node | Assertion node
  | element | Assertion element
  | is_signed | boolean showing whether signing or encryption

Returns:
  neethi assertion created. NULL if failure.